Delete specific redemption record
curl --request DELETE \
--url https://live.copilot.fabric.inc/api-offers/redemption/{redemptionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://live.copilot.fabric.inc/api-offers/redemption/{redemptionId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-offers/redemption/{redemptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"redemptionId": "614b58924e92f6861ac9d43b",
"deleted": true
}{
"code": "REDEMPTION_NOT_FOUND",
"message": "The redemption record doesn't exist."
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}Redemption
Delete specific redemption record
Delete a specific redemption record by redemptionId
DELETE
/
api-offers
/
redemption
/
{redemptionId}
Delete specific redemption record
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
ID of the redemption record to be deleted
Example:
"614b58924e92f6861ac9d43b"
Was this page helpful?
